from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path("admin/",             admin.site.urls),
    path("api/account/",       include("account.urls")),
    path("api/follow/",        include("followers.urls")),
    path("api/",               include("posts.urls")),
    path("api/status/",        include("status.urls")),
    path("api/chat/",          include("chat.urls")),
    path("api/community/",     include("community.urls")),
    path("api/wallet/",        include("wallet.urls")),
    path("api/friends/",       include("friends.urls")),
    path("api/inbox/",         include("inbox.urls")),
    path("api/announcements/", include("announcements.urls")),
    path("api/notifications/", include("notifications.urls")),
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)